Fiona/Geopackage: cannot export layers with some fields (date)
21/03/2019 17:01 - Philippe May
Description

Issue reported by Dorian, as the title says.
Follows technical notes that can be skipped for users:

1. Generation of a dataframe from a layer (in models_base_base.Model.get_df) doesn't cast properly some model attributes
(column types). It's simple to fix, but this triggers a bug, see below.

1. Geopandas is still in development, and there's a bug still open: hitps:/github.com/geopandas/geopandas/issues/196 .

| could probably fix that in the code, but i think it's better waiting for the bug to be fixed.

Associated revisions

Revision 59859617 - 22/03/2019 23:47 - Philippe May
Refs #7946: use better types in dataframe returned by model's get_df

Revision 05052f21 - 23/03/2019 11:18 - Philippe May

Refs #7946: fix issue when getting a dataframe, in a workaround dealing with missing information in a record

History

#1 - 21/03/2019 19:03 - Philippe May

- Description updated

#2 - 22/03/2019 23:51 - Philippe May

Found that the data types of the dataframe generated from the layers can be set more carefully, and geopandas/fiona can afterwards work OK.

@Dorian: i'll install the fix tomorrow in production.

#3 - 22/03/2019 23:52 - Philippe May

- Status changed from In Progress to Resolved

#4 - 23/03/2019 11:21 - Philippe May

- Status changed from Resolved to Closed

Should be fixed.
